﻿@model MIMS.Portal.ViewModels.AssignDeviceViewModel
@using MIMS.Portal.Core.Domains;

@{
    ViewData["PageTitle"] = "تخصیص دستگاه";
}

<section>
    <form method="post" enctype="multipart/form-data">
        <div class="card">
            <div class="card-header">
                <h4 class="card-title">مشخصات پایانه</h4>
            </div>
            <div class="card-body">
                <div class="card-block">
                    <div asp-validation-summary="ModelOnly" class="text-danger"></div>
                    <input asp-for="TerminalId" value="@Model.TerminalDetails.Id" hidden />
                    <div class="form">
                        <div class="form-body">
                            <div class="row">
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label asp-for="TerminalDetails.MerchantFullName" class="control-label"></label>
                                        <p><strong>@Model.TerminalDetails?.MerchantFullName</strong></p>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label asp-for="TerminalDetails.MerchantNationalCode" class="control-label"></label>
                                        <p><strong>@Model.TerminalDetails?.MerchantNationalCode</strong></p>
                                    </div>
                                </div>
                            </div>
                            <hr />
                            <div class="row">
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label asp-for="TerminalDetails.TerminalType" class="control-label"></label>
                                        <p><strong>@Html.DisplayFor(model => model.TerminalDetails.TerminalType)</strong></p>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label asp-for="TerminalDetails.PspProvider" class="control-label"></label>
                                        <p><strong>@Html.DisplayFor(model => model.TerminalDetails.PspProvider)</strong></p>

                                    </div>
                                </div>
                            </div>
                            <hr />
                            <div class="row">
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label asp-for="TerminalDetails.StoreId" class="control-label"></label>
                                        <p><strong>@Model.TerminalDetails?.StoreFullName</strong></p>

                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label asp-for="TerminalDetails.BankAccountId" class="control-label"></label>
                                        <p><strong>@Model.TerminalDetails?.BankAccountFullName</strong></p>

                                    </div>
                                </div>

                            </div>
                            <hr />
                            <div class="row">
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label asp-for="DeviceConnectionType" class="control-label"></label>
                                        <span asp-validation-for="DeviceConnectionType" class="text-danger"></span>
                                        <p><strong>@Html.DisplayFor(model => model.TerminalDetails.DeviceConnectionType)</strong></p>
                                        <input asp-for="DeviceConnectionType" hidden />
                                        @*<select asp-for="DeviceConnectionType" asp-description-for="DeviceConnectionType" class="form-control" asp-items="@Html.GetEnumSelectList<MIMS.Portal.ValueObjects.Enum.PosConnectionType>()">
                                            <option selected value="">--</option>
                                        </select>*@
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label asp-for="DeviceBrandId" class="control-label"></label>
                                        <span asp-validation-for="DeviceBrandId" class="text-danger"></span>
                                        <select asp-for="DeviceBrandId" asp-description-for="DeviceBrandId" class="form-control" asp-items="@ViewBag.DeviceBrands">
                                            <option selected value="">--</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label asp-for="DeviceModelId" class="control-label"></label>
                                        <span asp-validation-for="DeviceModelId" class="text-danger"></span>
                                        <select asp-for="DeviceModelId" asp-description-for="DeviceModelId" class="form-control" asp-items="@ViewBag.DeviceModels">
                                            <option selected value="">--</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label asp-for="DeviceId" class="control-label"></label>
                                        <span asp-validation-for="DeviceId" class="text-danger"></span>
                                        <select asp-for="DeviceId" asp-description-for="DeviceId" class="form-control" asp-items="@ViewBag.Devices">
                                            <option selected value="">--</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="card-footer">
                            <div class="form-actions">
                                <button type="submit" class="btn btn-primary btn-min-width">
                                    ثبت
                                </button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </form>
</section>

@section Scripts{
    <script src="~/js/dropdown.js"></script>
}